VMTKSURFACESCALING(1)

NAME
vmtksurfacescaling - vmtk script vmtksurfacescaling

DESCRIPTION
Automatic piping vmtksurfacescaling Parsing options vmtksurfacescaling

vmtksurfacescaling : scale a surface by an isotropic factor, or x,y,z

    directions by separate factors

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Surface (vtkPolyData,1): the input surface

-ifile SurfaceInputFileName (str,1): filename for the default

    Surface reader

-scale ScaleFactor (float,1) >= 0.0; default=None: isotropic

    scaling factor

-scalex ScaleFactorX (float,1) >= 0.0; default=None: scaling factor

    in x direction

-scaley ScaleFactorY (float,1) >= 0.0; default=None: scaling factor

    in y direction

-scalez ScaleFactorZ (float,1) >= 0.0; default=None: scaling factor

    in z direction

-ofile SurfaceOutputFileName (str,1): filename for the default

    Surface writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Surface (vtkPolyData,1): the output surface